/*
 *	Title:		Lohacker Mansion
 *	Version:	Beta
 *	Created by:	Paolo Copello
 *	Home page:	http://web.tiscali.it/fanelia
 *	
 *	Copyright (C) 2003 Paolo Copello
 *	
 *	******************************************
 *	This file is part of Lohacker Mansion
 *	******************************************
 *	
 *	Lohacker Mansion is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *	
 */

#if !defined(AFX_ZANNA_H__C17DCFC0_7E6A_11D7_9434_8C60628A2D39__INCLUDED_)
#define AFX_ZANNA_H__C17DCFC0_7E6A_11D7_9434_8C60628A2D39__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Avalon.h"

class Lohacker : public AvalonGame  
{
public:
	enum
	{
		//MANGIA = 200,
		POLLO = 201,
		TACCHINO = 202,
		CUCINA = 203,
		INGRESSO = 204,

		FICUS = 600,
		CANE = 601,
		ACCAREZZA = 602,
		CHIAVE,
		PORTA,
		PORTALE,
		ARMADIO,
		LIBRO,
		QUADRO,

		DISPENSA,
		PIANEROTTOLO,
		STUDIO,
		LOVE_ROOM,

		APERTA, COTTO, IN_COTTURA,

		CUOCI,
		LEGGI,

		GRIFONDORO,
		CONOSCI_GRIFONDORO,

		TIMER_POLLO,

		PISTOLA, SPARA, SCHIFIDO, TIMER_SCHIFIDO, TIMER_ARRIVA_SCHIFIDO,
		SPECCHIO, SORPRESA, PARAVENTO, DIETRO_IL_PARAVENTO, NASCONDITI,
		ESTRAI, RIPONI, PISTOLA_IN_PUGNO,
		METTI, TASCA,

		TUX, _GNU, _NOT, _UNIX, CELLA,
		LOGICIEL, LIBRE, CONOSCI_LIBRE,
	};

	Lohacker();
	virtual ~Lohacker();

	// override
	void OnTitle();
	void OnInit(AvDesigner& design);
	void OnStart();

	void OnMoveWest();
	void OnMoveNorth();
	void OnMoveEast();
	void OnWin();
	void OnLose();
	void OnAfterLocationDesc();
	bool OnBeforeLocationDesc();

	// nuove
	void OnApriArmadio();

	void OnMangiaPollo(); 
	void OnCuociPollo();
	void OnAspettaSpecial();
	void OnPolloPronto();
	void OnPrendiPolloInCucina();
	
	void OnCoccoleCane();
	void OnApriStudio();
	void OnApriLibro();
	void OnGrifondoro();

	void OnSparaSchifido();
	void OnSpara();
	void OnAttaccaSchifido();
	void OnElapsedTimerSchifido();
	void OnArrivaSchifido();

	void OnSparaTux();
	void OnAttaccaTux();

	void OnGuardaFicus();
	void OnLogicielLibre();

	void OnPrendiPistola();
	void OnLasciaPistola();
	void OnEstraiPistola();
	void OnNascondiPistola();

	void OnVaiDietroParavento();
	void OnEsciParavento();


	/*bool bGrifondoro;*/

	AVALON_ACTION_MAP(Lohacker, AvalonGame)

};

#endif // !defined(AFX_ZANNA_H__C17DCFC0_7E6A_11D7_9434_8C60628A2D39__INCLUDED_)


