/*
 *	Title:		Escavalon - Interactive Fiction System
 *	Version:	Beta
 *	Created by:	Paolo Copello
 *	Home page:	http://web.tiscali.it/fanelia
 *	
 *	Copyright (C) 2003 Paolo Copello
 *	
 *	******************************************
 *	This file is part of Escavalon
 *	******************************************
 *	
 *	Escavalon is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *	
 */


#if !defined(FANEL_CONSOLEIOMANAGER_H__INCLUDED_)
#define FANEL_CONSOLEIOMANAGER_H__INCLUDED_

#include "fnioman.h"

// Fanel Input/Output Manager specialization for Console I/O

class ConsoleIOManager : public IOManager
{
public:
	ConsoleIOManager() {}
	~ConsoleIOManager() {}

	void Read(std::string& str) ;
	void Read(int& i) ;
	void Read(double& d) ;
	void ReadTokenized(std::vector<std::string>& lst) ;
	bool ReadYesNo(const std::string& strMessage) ;
	void ReadFileName(std::string& str, bool bLoad) ;

	void Write(const std::string& str) ;
	void Write(const char* str) ;
	void Write(int i) ;
	void Write(double d) ;
	void WriteLine() ;

	void Wait(int nSecs) ;
	void WaitForEnter() ;
};



#endif

