/*
 *	Title:		Escavalon - Interactive Fiction System
 *	Version:	Beta
 *	Created by:	Paolo Copello
 *	Home page:	http://web.tiscali.it/fanelia
 *	
 *	Copyright (C) 2003 Paolo Copello
 *	
 *	******************************************
 *	This file is part of Escavalon
 *	******************************************
 *	
 *	Escavalon is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	any later version.
 *	
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *	
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *	
 */



#if !defined(FANEL_IOMANAGER_H__INCLUDED_)
#define FANEL_IOMANAGER_H__INCLUDED_


#include <string>
#include <vector>

// Fanel Input/Output Manager abstract base class

class IOManager
{
public:
	IOManager() {}
	virtual ~IOManager() {}

	virtual void Read(std::string& str) = 0;
	virtual void Read(int& i) = 0;
	virtual void Read(double& d) = 0;
	virtual void ReadTokenized(std::vector<std::string>& lst) = 0;
	virtual bool ReadYesNo(const std::string& strMessage) = 0;
	virtual void ReadFileName(std::string& str, bool bLoad) = 0;

	virtual void Write(const std::string& str) = 0;
	virtual void Write(const char* str) = 0;
	virtual void Write(int i) = 0;
	virtual void Write(double d) = 0;
	virtual void WriteLine() = 0;

	virtual void Wait(int nSecs) = 0;
	virtual void WaitForEnter() = 0;

private:
	// you cannot copy an object of this class
	IOManager(const IOManager&) {}
	IOManager& operator=(const IOManager&) {}
};


#endif

